summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Johannes Schoepfer2023-12-31 01:38:33 +0100
committer Willy Sudiarto Raharjo2023-12-31 03:37:15 +0100
commit2c27ba582a6cf05ec7386e0690ffdb595286fd84 (patch)
tree29a05208e3022f0d891e7f84af3b57ae1b40bd37 /games
parenta8ade86c685ffbd04e836b49d0b01b2f9b41623e (diff)
downloadslackbuilds-2c27ba582a6cf05ec7386e0690ffdb595286fd84.tar.gz
games/principia: Added (physics-based sandbox game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/principia/README4
-rw-r--r--games/principia/doinst.sh9
-rw-r--r--games/principia/principia.SlackBuild90
-rw-r--r--games/principia/principia.info10
-rw-r--r--games/principia/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/games/principia/README b/games/principia/README
new file mode 100644
index 0000000000..1860c71870
--- /dev/null
+++ b/games/principia/README
@@ -0,0 +1,4 @@
+principia (physics-based sandbox game)
+
+Build and play advanced contraptions, circuiting, minigames,
+robot adventures and more.
diff --git a/games/principia/doinst.sh b/games/principia/doinst.sh
new file mode 100644
index 0000000000..625ced33d1
--- /dev/null
+++ b/games/principia/doinst.sh
@@ -0,0 +1,9 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/principia/principia.SlackBuild b/games/principia/principia.SlackBuild
new file mode 100644
index 0000000000..90d1bc2348
--- /dev/null
+++ b/games/principia/principia.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for principia
+
+# Copyright 2023 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=principia
+VERSION=${VERSION:-20231229_25f1144}
+COMMIT=25f11443dfcd13f67a3ccf2ceff5d6d944fdaf90
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar vxf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release .. -G Ninja
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.md THANKS.md LICENSE.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/principia/principia.info b/games/principia/principia.info
new file mode 100644
index 0000000000..7909320b0a
--- /dev/null
+++ b/games/principia/principia.info
@@ -0,0 +1,10 @@
+PRGNAM="principia"
+VERSION="20231229_25f1144"
+HOMEPAGE="https://principia-web.se/"
+DOWNLOAD="https://github.com/Bithack/principia/archive/25f1144/principia-25f11443dfcd13f67a3ccf2ceff5d6d944fdaf90.tar.gz"
+MD5SUM="33c0ad0fb12d537c7e9f643a69daf16e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/games/principia/slack-desc b/games/principia/slack-desc
new file mode 100644
index 0000000000..5f3ed407e8
--- /dev/null
+++ b/games/principia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+principia: principia (physics-based sandbox game)
+principia:
+principia: Build and play advanced contraptions, circuiting, minigames,
+principia: robot adventures and more.
+principia:
+principia:
+principia:
+principia:
+principia:
+principia: https://principia-web.se/
+principia: